/*
 * @DEC_COPYRIGHT@
 */
/*
 * HISTORY
 * $Log:	ipc_basics.h,v $
 * Revision 4.2  91/09/19  22:23:35  devbld
 * Adding ODE Headers
 * 
 * $EndLog$
 */
/*	
 *	@(#)$RCSfile: ipc_basics.h,v $ $Revision: 4.2 $ (DEC) $Date: 91/09/19 22:23:35 $
 */ 
/*
 */
/*
 * (c) Copyright 1990, OPEN SOFTWARE FOUNDATION, INC.
 * ALL RIGHTS RESERVED
 */
/* 
 * Mach Operating System
 * Copyright (c) 1989 Carnegie-Mellon University
 * Copyright (c) 1988 Carnegie-Mellon University
 * Copyright (c) 1987 Carnegie-Mellon University
 * All rights reserved.  The CMU software License Agreement specifies
 * the terms and conditions for use and redistribution.
 */
/*
 * OSF/1 Release 1.0
 */

#ifndef	_KERN_IPC_BASICS_H_
#define _KERN_IPC_BASICS_H_

#include <mach_ipc_xxxhack.h>

#include <kern/kern_msg.h>
#include <mach/message.h>

extern void send_notification();
extern void send_complex_notification();

extern kern_msg_t mach_msg();
extern msg_return_t msg_queue();

extern msg_return_t msg_send();
extern msg_return_t msg_send_from_kernel();
extern msg_return_t msg_receive();
extern msg_return_t msg_rpc();

extern msg_return_t msg_send_trap();
extern msg_return_t msg_receive_trap();
extern msg_return_t msg_rpc_trap();

#if	MACH_IPC_XXXHACK
extern msg_return_t msg_send_old();
extern msg_return_t msg_receive_old();
extern msg_return_t msg_rpc_old();
#endif	/* MACH_IPC_XXXHACK */

#endif	/* _KERN_IPC_BASICS_H_ */
